Subject: bug#10397: [PATCH] Under Remote Desktop, NUMCOLORS is unreliable; workaround

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Aug 2012 21:07:02 +0300

> Date: Tue, 07 Aug 2012 10:33:23 -0700
> From: Daniel Colascione <[email-masked]>
> CC: Juanma Barranquero <[email-masked]>, [email-masked]
> 
> > Last time we spoke, the conclusion (at least mine ;-) was that it
> > might be better not to call GetDeviceCaps at all, and instead reuse
> > the code below this, which uses the number of planes and bits per
> > plane.  If you agree with that reasoning, could you please see if that
> > change solves your problem?
> 
> Sorry about that --- I'm bringing a lot of this up form very cold
> mental storage. It's been a little while since I've had a chance to do
> any Emacs hacking.

No need to apologize.  It's not that my memory is better than yours, I
just looked up the bug report and re-read the entire thread...

> I'm perfectly happy using the planes-and-bits code instead of calling
> GetDeviceCaps. I'll remove this patch from the cygw32 changeset and
> check the (now, much simpler) fix for the colors issue into the trunk,
> if that's all right.

Please go ahead, but I hope you have a way to check the change you
will commit with remote desktop, because I don't.